Voice Cloning is out in beta with Elevenlabs integration!
cURL
curl --request POST \ --url https://pria.praxislxp.com/api/ai/rtProxy/rtSession \ --header 'Content-Type: application/json' \ --header 'x-access-token: <api-key>' \ --data ' { "institutionId": "<string>", "model": "gpt-4o-realtime-preview", "voice": "alloy" } '
{ "success": true, "sessionId": "<string>", "ephemeralKey": "<string>", "model": "<string>" }
Creates a new realtime AI session for voice/WebRTC communication. Returns an ephemeral key for establishing the WebRTC connection.
JWT token passed in x-access-token header
Institution ID for the realtime session
AI model to use for realtime
"gpt-4o-realtime-preview"
Voice to use for TTS
"alloy"
Realtime session created successfully
Realtime session identifier
Ephemeral key for WebRTC connection
AI model being used
Was this page helpful?